/*
 * @Author: liuzhenlin 461480418@qq.ocm
 * @Date: 2023-01-29 16:17:15
 * @LastEditors: liuzhenlin
 * @LastEditTime: 2023-02-14 16:45:06
 * @Description: file content
 * @FilePath: \crm\api\customer\index.js
 */

import micro_request from '@/utils/micro_request'

const basePath = process.uniEnv.VUE_APP_ParentPath
export default {
  // 获取合同列表
  getList(query) {
    return micro_request.postRequest(basePath, 'CtrContract', 'List', query)
  },
  // 获取合同详情
  getDetails(query) {
    return micro_request.postRequest(basePath, 'CtrContract', 'Get', query)
  },
  // 活动列表
  getDynamicsList(query) {
    return micro_request.postRequest(basePath, 'CtrContract', 'DynamicsList', query)
  },
  // 获取回款列表
  getRePay(query) {
    return micro_request.postRequest(basePath, 'CtrContractCollection', 'List', query)
  },
  // 获取发票列表
  getInvoice(query) {
    return micro_request.postRequest(basePath, 'CtrContractInvoice', 'List', query)
  },
  // 新增发票
  addInvoice(query) {
    return micro_request.postRequest(basePath, 'CtrContractInvoice', 'Add', query)
  },
  // 新增回款
  addCollection(query) {
    return micro_request.postRequest(basePath, 'CtrContractCollection', 'Add', query)
  },
}
